<?php
/*****************************************************************************
FozzyMail : Web based mail client created by Matthieu Fron
Copyright (C) 2003  Matthieu Fron

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

web site : http://fozzymail.mferon.com
web contact : fozzymail@mferon.com
******************************************************************************/
include("fozzyconfig.php");
include("fozzyfuncts.php");
Session_name("FOZZYMAIL");
Session_start();
if (( Session_is_registered( Session_Id() . "_ok" ) == false ) ||
	( !Session_is_registered("sess_valide") ) ||
	( $sess_valide != true ))
{
	die("<META HTTP-EQUIV=\"Refresh\" content=\"0;URL=index.php?err=2\">");
}
$udir = $sess_udir;
if ( $tri != "" )
{
	if ( !Session_is_registered("sess_tri") ) Session_register("sess_tri");
	$sess_tri = $tri;
}
if ( $sess_tri != "" ) 	$tri = split("_",$sess_tri);
Session_write_close();
setlocale (LC_TIME, "fr"); 
$FozzyMail = new FozzyMail_config( $udir );
$fg_col=$FozzyMail->fg_col;
$bg_col=$FozzyMail->bg_col;
if ( $dir == 1 )
	$path = "diff";
else if ( $dir == 2 )
	$path = "sent";
else if ( $dir == 3 )
	$path = "arch";
else if ( $dir == 4 )
	$path = "supp";
if ( isset( $list_to_do ) )
{
	if ( $list_to_act == "D" )
	{
		$tb = split("-",$list_to_do);
		foreach($tb as $file)
		{
			if ( $file != "" ) 
			{
				unlink($udir.$path."/".$file);
			}
		}
		$list_to_do = "";
	}
}
$FozzyMail->fozzy_fetch_emls($path);
if (!ereg("asc",$FozzyMail->tri["sens"]) && !ereg("desc",$FozzyMail->tri["sens"])) $FozzyMail->tri["sens"] = "desc";
if (!ereg("size",$FozzyMail->tri["mode"]) && !ereg("expe",$FozzyMail->tri["mode"]) && !ereg("subj",$FozzyMail->tri["mode"]) && !ereg("date",$FozzyMail->tri["mode"])) $FozzyMail->tri["mode"] = "date";
if ( $tri == "" )
{
	$tri = Array( 0 => $FozzyMail->tri["mode"], 1 => $FozzyMail->tri["sens"]);
}
?>
<html>
<head>
<style>
.A_Unseen
{
	color:#000000;
	font-Family:Arial;
	text-Decoration:underline;
}
.A_seen
{
	color:<?=$bg_col?>;
	font-Family:Arial;
	text-Decoration:underline;
}
</style>
<SCRIPT LANGUAGE=javascript SRC="mfe_calque.js"></SCRIPT>
<SCRIPT LANGUAGE=javascript SRC="mfe_infobulle.js"></SCRIPT>
<script language=javascript>
function select(obj)
{
	var msg;
	var reg;
	var messid;
	if ( obj.tagName == "A" )
	{
		regid = new RegExp("-"+obj.id.substr(3)+"-","gi");
		if ( document.all["list_to_do"].value.search(regid)>=0 )
		{
			document.all["list_to_do"].value=document.all["list_to_do"].value.replace(regid,"");
			obj.innerHTML = "<img src='vide.png' width=14 height=14 border=0>";
		}
		else
		{
			document.all["list_to_do"].value += "-"+obj.id.substr(3)+"-";
			obj.innerHTML = "<img src='sel.png' border=0>";
		}
	}
}
function selectall(obj)
{
	var msg;
	var reg;
	var trs=document.links;
	var i;

	document.all["list_to_do"].value = "";
	if ( obj.childNodes(0).src.match("vide\.png$") )
		obj.innerHTML = "<img src='sel.png' border=0>";
	else
		obj.innerHTML = "<img src='vide.png' width=14 height=14 border=0>";
	reg = new RegExp("^id_(.*)","");
	for (i=0; i<trs.length; i++)
	{
		if ( ( tbres = reg.exec(trs[i].name) ) != null )
		{
			if ( trs[i].childNodes(0).src.match("vide\.png$") )
			{
				document.all["list_to_do"].value += "-"+tbres[1]+"-";
				trs[i].innerHTML = "<img src='sel.png' border=0>";
			}
			else
			{
				trs[i].innerHTML = "<img src='vide.png' border=0>";
			}
		}
	}
}
</script>
</head>
<body bgcolor="#<?=$bg_col?>">
<form method=post action="fozzysent.php">
	<input type=hidden name=list_to_do id=list_to_do value="">
	<input type=hidden name=list_to_act id=list_to_act value="">
	<input type=hidden name=dir id=dir value="<?=$dir?>">
</form>
<table width=100% border=0 cellpadding=1 cellspacing=1>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=7>
		<font face=Arial size=1>Messages <? if ( $dir==4 ) echo "supprims"; else if ( $dir==3 ) echo "archivs"; else if ($dir==2) echo "envoys"; else echo "diffrs";?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a class=A_Unseen href="#" onclick="window.close();">Fermer</a></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<font face=Arial size=1><?=$FozzyMail->messgs?> message<?=ends($FozzyMail->messgs)?>,&nbsp;<?=get_readable_size($FozzyMail->totsize)?></font>
	</td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=7>
	<font face=Arial size=1><a class=A_Unseen href="#" onclick='if (document.all["list_to_do"].value != "") { document.forms[0].list_to_act.value="D";document.forms[0].submit();} return false;' onmouseover="Info_Bulle('Supprimer les messages slectionns.');return false;">Supprimer</a></font>
	</td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>" width=14px height=14px><a href="#" onclick="selectall(this);return false;"><img src="vide.png" height=14 width=14 border=0></a></td>
	<td bgcolor="#<?=$fg_col?>" width=14px height=14px>&nbsp;</td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>expditeur</font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>objet</font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>destinataires</font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>date</font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>taille</font></td>
</tr>
<?
	if ($FozzyMail->messgs>0) 
	{       
		usort( $FozzyMail->mails, "tri_".$tri[0]."_".$tri[1] );
		foreach($FozzyMail->mails as $val) 
		{
?>
<tr name="trs" id="trs">
	<td bgcolor="#<?=$fg_col?>" width=14px><font face=Arial size=1><a href="#" name="id_<?=$val->messid?>" id="id_<?=$val->messid?>" onclick="select(this);return false;"><img src="vide.png" height=14 width=14 border=0></a></font></td>
	<td bgcolor="#<?=$fg_col?>" width=14px><? if ( $val->attach ) {?><img src="jointe.png"><?}?></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><?get_emails_tab($val->hd["from"],true);?></font></td>
<?
	$str=str_replace("\r\n","",fozzy_mime_decode($val->hd["subject"]));
	if ( ereg_replace("[\t ]","",$str) == "" ) $str = "Pas de sujet";
?>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><a name="lnk_<?=$val->messid?>" id="lnk_<?=$val->messid?>" class=A_Unseen href="#" onclick="window.open('fozzyvieweml.php?dir=<?=$dir?>&msg=<?=$val->messid?>','FozzyView','width=800,height=600,left=200,top=100,scrollbars=yes,resizable=yes');return(false);" onmouseover="Info_Bulle('Consulter : <?=str_replace("'","\'",str_replace("\"","&quot;",$str))?>');return false;"><?if (strlen($str)>60) echo substr($str,0,60)."..."; else echo $str;?></a></font></td>
<?
	$mlis = get_emails_list($val->hd["to"]);
	if ( strlen($mlis)>25 ) $mlis = substr($mlis,0,25)."...";
?>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><?=$mlis?></font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><?=Date("d/m/y H\hi",$val->hd["Date"])?></font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><?=$val->size?></font></td>
</tr>
<?
		}
	}
?>
</table>
<?=$js_tab?>
</body>
</html>
